Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.transform
Class OutputFormat

    java.lang.Object
      |
      +--com.caucho.transform.OutputFormat

public class OutputFormat
extends java.lang.Object

Encapsulates the xsl:output attributes.

Since:
  Resin 1.2

Constructor Summary
`OutputFormat()`

Method Summary
`java.util.ArrayList` | `getCdataSectionElements()`
`java.lang.String` | `getEncoding()`
`java.lang.String` | `getIndent()`
`java.lang.String` | `getMediaType()`
`java.lang.String` | `getMethod()` Returns the output method: xml, html, or text.
`java.lang.String` | `getOmitDeclaration()` Returns "true" if the output declaration should be omitted.
`java.lang.String` | `getPublicId()`
`java.lang.String` | `getStandalone()`
`java.lang.String` | `getSystemId()`
`java.lang.String` | `getVersion()` Returns the output version, e.g.
`void` | `setCdataSectionElements(java.util.ArrayList list)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setIndent(java.lang.String indent)`
`void` | `setMediaType(java.lang.String mediaType)`
`void` | `setMethod(java.lang.String method)` Sets the output method: xml, html, or text.
`void` | `setOmitDeclaration(java.lang.String omitDeclaration)` Set to "true" if the output declaration should be omitted.
`void` | `setPublicId(java.lang.String publicId)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setSystemId(java.lang.String systemId)`
`void` | `setVersion(java.lang.String version)` Sets the output version, e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFormat

    public OutputFormat()

Method Detail

### getMethod

    public java.lang.String getMethod()

  Returns the output method: xml, html, or text.

### setMethod

    public void setMethod(java.lang.String method)

  Sets the output method: xml, html, or text.

### getVersion

    public java.lang.String getVersion()

  Returns the output version, e.g. 1.0 for XML or 3.2 for HTML.

### setVersion

    public void setVersion(java.lang.String version)

  Sets the output version, e.g. 1.0 for XML or 3.2 for HTML.

### getOmitDeclaration

    public java.lang.String getOmitDeclaration()

  Returns "true" if the output declaration should be omitted. A null value means that the XML printer may use its own heuristics to decide.

### setOmitDeclaration

    public void setOmitDeclaration(java.lang.String omitDeclaration)

  Set to "true" if the output declaration should be omitted.

### setStandalone

    public void setStandalone(java.lang.String standalone)

### getStandalone

    public java.lang.String getStandalone()

### setSystemId

    public void setSystemId(java.lang.String systemId)

### getSystemId

    public java.lang.String getSystemId()

### setPublicId

    public void setPublicId(java.lang.String publicId)

### getPublicId

    public java.lang.String getPublicId()

### getCdataSectionElements

    public java.util.ArrayList getCdataSectionElements()

### setCdataSectionElements

    public void setCdataSectionElements(java.util.ArrayList list)

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getMediaType

    public java.lang.String getMediaType()

### setMediaType

    public void setMediaType(java.lang.String mediaType)

### getIndent

    public java.lang.String getIndent()

### setIndent

    public void setIndent(java.lang.String indent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD